techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Items
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
      GET
    • Item Details
      GET
    • List Item Categories
      GET
    • Item Category Details
      GET
    • List Modifier Categories
      GET
    • Item Config Details
      GET
    • List Bundle Categories
      GET
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Items

List Modifier Categories

GET
https://api.techrar.com/inventory/v1/items/modifiers/
This endpoint allows you to list all item modifiers to display and filter with them in your store.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/inventory/v1/items/modifiers/?page=1&page_size=5' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 4,
            "name_en": "quality",
            "name_ar": "quality",
            "ordering": 0,
            "values": [
                {
                    "id": 8,
                    "ordering": 0,
                    "name_en": "not new",
                    "name_ar": "not new"
                },
                {
                    "id": 9,
                    "ordering": 0,
                    "name_en": "new",
                    "name_ar": "new"
                }
            ]
        },
        {
            "id": 3,
            "name_en": "mod",
            "name_ar": "mod",
            "ordering": 0,
            "values": [
                {
                    "id": 5,
                    "ordering": 0,
                    "name_en": "one",
                    "name_ar": "one"
                },
                {
                    "id": 6,
                    "ordering": 0,
                    "name_en": "two",
                    "name_ar": "two"
                },
                {
                    "id": 7,
                    "ordering": 0,
                    "name_en": "three",
                    "name_ar": "three"
                }
            ]
        }
    ]
}
Modified at 2026-04-10 09:27:25
Previous
Item Category Details
Next
Item Config Details
Built with